Repository sync fails without a clear indication
Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 965230 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=965230

Description of problem:

There are times when syncing RHEL repositories via Katello fail without a clear explanation. After DEV performed some

investigation, it looks like there is a valid reason for the failure but pulp only exposes a generic failure message tucked in a traceback

attribute with the message:

PulpExecutionException: Importer indicated a failed response

 Eventually this pulp task gets moved to a 'history' queue where finally it gets the actual error failure added to its 'summary' attribute:

{"error"=>"Cannot retrieve repository metadata (repomd.xml) for repository:                       

          ACME_Corporation-FailProduct-FailRepo. Please verify its path and try again"}

 Also, see https://bugzilla.redhat.com/show_bug.cgi?id=965218 for some needed pulp work.

Version-Release number of selected component (if applicable):

python-pulp-client-lib-2.1.1-0.10.beta.el6.noarch

python-pulp-bindings-2.1.1-0.10.beta.el6.noarch

pulp-selinux-2.1.1-0.10.beta.el6.noarch

pulp-server-2.1.1-0.10.beta.el6.noarch

pulp-admin-client-2.1.1-0.10.beta.el6.noarch

pulp-rpm-plugins-2.1.1-0.10.beta.el6.noarch

pulp-builtins-admin-extensions-2.1.1-0.10.beta.el6.noarch

python-pulp-rpm-common-2.1.1-0.10.beta.el6.noarch

katello-glue-pulp-1.4.2-1.git.411.375f44b.el6.noarch

python-pulp-common-2.1.1-0.10.beta.el6.noarch

How reproducible:

Steps to Reproduce:

1. I was able to trigger it by syncing Red Hat Enterprise Linux 6 Server x86_64 (RPMs) and Red Hat Enterprise Linux 6 Server

x86_64 - Optional (RPMs)

2.

3.

Actual results:

Sync fails but there's no UI explanation as to why it failed.

Expected results:

Additional info:

Associated revisions
https://bugzilla.redhat.com/show_bug.cgi?id=965230
https://bugzilla.redhat.com/show_bug.cgi?id=965218


Revision ffdea891 - 05/29/2014 03:42 PM - Eric Helms

Fixes #5986: Ensure tipsy error details populated on sync status page, BZ965230.

On the sync status page, if an error occurred during sync (e.g. using a URL

that doesn't point to a real repo) the tipsy with error details would not contain

the information until the page was reloaded.

Revision 6f606c96 - 06/04/2014 07:07 PM - Eric Helms

Merge pull request #4179 from ehelms/fixes-5986

Fixes #5986: Ensure tipsy error details populated on sync status page, BZ965230.

History

#1 - 05/29/2014 03:41 PM - Eric Helms

- Target version set to 45

- Triaged set to Yes

#2 - 06/04/2014 07:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:ffdea891da3bef141234cbecefff186e8fea9a12.

#3 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
